Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Williams2013-10-05 05:57:41 +0000
committerDavid Williams2013-10-05 05:57:41 +0000
commit1fce4bfc67609ba76fc864fcbecd1e6dd0174042 (patch)
tree1c08ce2b1eb15fe304cb48d5706068c2c6ef4713 /production
parent14b24f91f2237f0b5f8ca347320f30d864a9cbc1 (diff)
downloadeclipse.platform.releng.aggregator-1fce4bfc67609ba76fc864fcbecd1e6dd0174042.tar.gz
eclipse.platform.releng.aggregator-1fce4bfc67609ba76fc864fcbecd1e6dd0174042.tar.xz
eclipse.platform.releng.aggregator-1fce4bfc67609ba76fc864fcbecd1e6dd0174042.zip
Bug 418646 - org.eclipse.jdt.core does not provide an artifact with
classifier 'antadapter' test fix
Diffstat (limited to 'production')
-rw-r--r--production/master-build.sh13
1 files changed, 9 insertions, 4 deletions
diff --git a/production/master-build.sh b/production/master-build.sh
index 68b82f2e5..5ed9e145e 100644
--- a/production/master-build.sh
+++ b/production/master-build.sh
@@ -185,13 +185,18 @@ else
repoToPatch=eclipse.jdt.core
patchFile=jdtComparatorFix.patch
echo "INFO: apply patch file, $patchFile, in repo $repoToPatch"
- pushd $aggDir/$repoToPatch/org.eclipse.jdt.core
+ patch -p0 --backup -d $aggDir/$repoToPatch -i $aggDir/production/tempPatches/$patchFile
+ checkForErrorExit $? "Error occurred applying patch"
+
+ # Note: to "simulate" qualifier increases, when needed,
+ # the fix/patch must be "committed" (to build repo, not pushed to origin).
+ # This requires more effort to "reset" ... say to HEAD~1, or re-clone the repo,
+ # or else the 'checkout/pull' in next run will not succeed.
+ echo "INFO: commit to build machine repository (no push): $repoToPatch"
+ pushd $aggDir/$repoToPatch/
git commit --all -m "temp patch for testing"
checkForErrorExit $? "Error occurred committing patch"
popd
-
- patch -p0 --backup -d $aggDir/$repoToPatch -i $aggDir/production/tempPatches/$patchFile
- checkForErrorExit $? "Error occurred applying patch"
# Note: to "simulate" qualifier increases, when needed,
# the fix/patch must be "committed" (to build repo, not pushed to origin).

Back to the top